<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.cms.mapper.JobRecommentMapper">

    <insert id="recommendJobForUser" parameterType="java.lang.Long">
        INSERT INTO QD.JOB_RECOMMEND (
        JOB_ID, USER_ID, DEL_FLAG, CREATE_BY, CREATE_TIME,
        UPDATE_BY, UPDATE_TIME, REMARK, IS_READ
        )
        SELECT
        JOB_ID,
        #{userId},
        '0',
        'system',
        SYSDATE,
        'system',
        SYSDATE,
        '测试数据' || ROWNUM,
        MOD(ROWNUM, 2)
        FROM
        QD.JOB
        WHERE
        ROWNUM = 10;
    </insert>
</mapper>